import Api from "~/service/Api"
//import Pts from "../Common/Pts"
import Pub from "../Public"
import Led from "../Public/Led"

export default class Letopn {
	constructor() {
		this.data = {
			ledgrp: {
				rec: new Led().data,
				cbs: {
					nom1: {
						cur: "",			//  Nominal Amount		.ledgrp.cbs.nom1.cur
						amt: "",			//  Nominal Amount		.ledgrp.cbs.nom1.amt
					},
					max: {
						cur: "",			//  Maximum Amount		.ledgrp.cbs.max.cur
						amt: "",			//  Maximum Amount		.ledgrp.cbs.max.amt
					},
					max2: {
						cur: "",			//  Additional Amount		.ledgrp.cbs.max2.cur
						amt: "",			//  Additional Amount		.ledgrp.cbs.max2.amt
					},
					opn2: {
						cur: "",			//  Open Add. Amount		.ledgrp.cbs.opn2.cur
						amt: "",			//  Open Add. Amount		.ledgrp.cbs.opn2.amt
					},
				},
				preadvflg: "",			//  PreAdvice or Notification		.ledgrp.preadvflg
				ben: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.ben.namelc
					adrelc: "",			//  地址		.ledgrp.ben.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.ben.dbfadrblkcn
				},
				iss: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.iss.namelc
					adrelc: "",			//  地址		.ledgrp.iss.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.iss.dbfadrblkcn
				},
				apl: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.apl.namelc
					adrelc: "",			//  地址		.ledgrp.apl.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.apl.dbfadrblkcn
				},
				avb: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.avb.namelc
					adrelc: "",			//  地址		.ledgrp.avb.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.avb.dbfadrblkcn
				},
				blk: new Pub().data.Blk,
				drw: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.drw.namelc
					adrelc: "",			//  地址		.ledgrp.drw.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.drw.dbfadrblkcn
				},
				adv: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.adv.namelc
					adrelc: "",			//  地址		.ledgrp.adv.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.adv.dbfadrblkcn
				},
				a2b: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.a2b.namelc
					adrelc: "",			//  地址		.ledgrp.a2b.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.a2b.dbfadrblkcn
				},
				apb: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.apb.namelc
					adrelc: "",			//  地址		.ledgrp.apb.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.apb.dbfadrblkcn
				},
				rmb: {
					pts: new Pub().data.Pts,
					namelc: "",			//  名称		.ledgrp.rmb.namelc
					adrelc: "",			//  地址		.ledgrp.rmb.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ledgrp.rmb.dbfadrblkcn
				},
				con: {
					pts: new Pub().data.Pts,
				},
			},
			letp: {
				recget: {
					sdamod: {
						seainf: "",			//  		.letp.recget.sdamod.seainf
						dadsnd: "",			//  Drag  Drop Sender		.letp.recget.sdamod.dadsnd
					},
				},
				ptsaddp: {
					ptsaddg: [],			//  		.letp.ptsaddp.ptsaddg
				},
				usr: {
					extkey: "",			//  Responsible User		.letp.usr.extkey
				},
				usrget: {
					sdamod: {
						seainf: "",			//  		.letp.usrget.sdamod.seainf
					},
				},
				aamp: {
					aammod: {
						addamtflg: "",			//  Add. Amount		.letp.aamp.aammod.addamtflg
					},
				},
				benp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.benp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.benp.ptsget.sdamod.dadsnd
						},
					},
				},
				issp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.issp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.issp.ptsget.sdamod.dadsnd
						},
					},
				},
				aplp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.aplp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.aplp.ptsget.sdamod.dadsnd
						},
					},
				},
				oppbnkl: "",			//  对手行代码		.letp.oppbnkl
				avbp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.avbp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.avbp.ptsget.sdamod.dadsnd
						},
					},
				},
				drwp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.drwp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.drwp.ptsget.sdamod.dadsnd
						},
					},
				},
				labdefdet: "",			//  DEFDAT LAbel		.letp.labdefdet
				advp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.advp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.advp.ptsget.sdamod.dadsnd
						},
					},
				},
				a2bp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.a2bp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.a2bp.ptsget.sdamod.dadsnd
						},
					},
				},
				apbp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.apbp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.apbp.ptsget.sdamod.dadsnd
						},
					},
				},
				rmbp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.letp.rmbp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.letp.rmbp.ptsget.sdamod.dadsnd
						},
					},
				},
				conp: {
					ptsget: {
						sdamod: {
							dadsnd: "",			//  Drag  Drop Sender		.letp.conp.ptsget.sdamod.dadsnd
							seainf: "",			//  		.letp.conp.ptsget.sdamod.seainf
						},
					},
				},
			},
			setmod: new Pub().data.Setmod,
			mtabut: new Pub().data.Mtabut,
			trnmod: new Pub().data.Trnmod,
			liaall: new Pub().data.Liaall,
			pageId: ""			// ctx的key
		}
	}
}